# Class SmilesParser

java.lang.Object
org.jmol.smiles.SmilesParser

public class SmilesParser extends Object
Parses a SMILES string or SMARTS pattern to create a `SmilesSearch`. Currently this parser supports only parts of the SMILES specification.
An example on how to use it:

    try {
      SmilesParser sp = new SmilesParser();
      SmilesSearch sm = sp.parseSmiles("CC(C)C(=O)O");
      // Use the resulting SmilesSearch
    } catch (InvalidSmilesException e) {
      // Exception management
    }

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`